---
updatedAt: 2025-06-25T21:54:01.000Z
agentTools:
  projectIndex: https://docs.nftgo.io/llms.txt
---

# Get collections by owners

Return portfolio collection information given an Ethereum address.

# OpenAPI definition

````json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API Documentation | NFTGo",
    "description": "\nNote: You can find our listing criteria here: https://docs.nftgo.io/docs/listing-criteria\n\n# Introduction\n[NFTGo.io](https://nftgo.io/) is a data analytics platform for NFTs. We provide support for NFTs on the Ethereum blockchain. This API includes:\n* Support for metrics like Market Cap and Volume (globally and per-collection)\n* NFT metadata and price information\n* Access to the custom rarity model\n* Address and portfolio tracking\n* Collection transaction history\n* NFT and profit rankings\n* .. And much more!\n\n# Authentication\nTo start exploring the NFTGo API, you need to sign up for an API key [here](https://nftgo.io/data-api/).\nUsing your API key, you can make requests to the NFTGo API by sending the API key as a **header** in your request. Below is an example:\n```Bash\ncurl http://127.0.0.1:5001/<your-request-url> -H X-API-KEY:<YOUR-API-KEY>\n```\n\nAll requests should be prefixed with [http://127.0.0.1:5001/.](http://127.0.0.1:5001/)\n\n# Rate limits\nCurrently, we have a rate limit of 5 request per second (5RPS). If your project needs a specialized plan, you can contact us [here](https://docs.google.com/forms/d/e/1FAIpQLSdToHwUCisiDhNiW_UcVdRgjjLxLNt3fW1cruvZoPpxKxJuGQ/viewform).\n\n\n",
    "version": "1.1.0",
    "x-logo": {
      "url": "https://static.nftgo.io/nftgo-logo-with-text-light.svg"
    }
  },
  "servers": [
    {
      "url": "https://data-api.nftgo.io"
    }
  ],
  "paths": {
    "/eth/v1/address/multi/collection": {
      "post": {
        "tags": [
          "Address"
        ],
        "summary": "Get collections by owners",
        "description": "Return portfolio collection information given an Ethereum address.",
        "operationId": "get_collections_by_owners_eth_v1_address_multi_collection_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AddressParams"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CollectionHoldingList"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "AddressParams": {
        "title": "AddressParams",
        "required": [
          "addresses"
        ],
        "type": "object",
        "properties": {
          "addresses": {
            "title": "Addresses",
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Ethereum address, 42-character hexadecimal string beginning with 0x",
            "example": [
              "0x2761010826a0d0bbbf604aea3eeff35030da2bc0",
              "0x479150abece65b0444d6ede5dca9c30d68e0e122"
            ]
          }
        }
      },
      "Collection": {
        "title": "Collection",
        "required": [
          "last_updated",
          "blockchain",
          "contracts"
        ],
        "type": "object",
        "properties": {
          "last_updated": {
            "title": "Last Updated",
            "type": "integer",
            "description": "Last updated timestamp in seconds",
            "example": 1652598929
          },
          "collection_id": {
            "title": "Collection Id",
            "type": "string",
            "description": "The collection id of the collection"
          },
          "blockchain": {
            "title": "Blockchain",
            "type": "string",
            "description": "The blockchain the collection belongs to",
            "example": "ETH"
          },
          "name": {
            "title": "Name",
            "type": "string",
            "description": "Collection name",
            "example": "Bored Ape Yacht Club"
          },
          "slug": {
            "title": "Slug",
            "type": "string",
            "description": "A slug is generated from a collection name by using applying lower-case to all letters in the collection name and replacing all spaces with a '-'",
            "example": "bored-ape-yacht-club"
          },
          "opensea_slug": {
            "title": "Opensea Slug",
            "type": "string",
            "description": "An opensea slug is generated from the corresponding opensea url link",
            "example": "boredapeyachtclub"
          },
          "description": {
            "title": "Description",
            "type": "string",
            "description": "Collection description",
            "example": "The Bored Ape Yacht Club is a collection of 10,000 unique Bored Ape NFTs— unique digital collectibles living on the Ethereum blockchain. Your Bored Ape doubles as your Yacht Club membership card, and grants access to members-only benefits, the first of which is access to THE BATHROOM, a collaborative graffiti board. Future areas and perks can be unlocked by the community through roadmap activation."
          },
          "official_website_url": {
            "title": "Official Website Url",
            "type": "string",
            "description": "The official website url of collection",
            "example": "https://boredapeyachtclub.com/"
          },
          "opensea_url": {
            "title": "Opensea Url",
            "type": "string",
            "description": "The opensea url of collection",
            "example": "https://opensea.io/collection/boredapeyachtclub"
          },
          "logo": {
            "title": "Logo",
            "type": "string",
            "description": "The logo url or base64 encoded data of a collection",
            "example": "https://static.nftgo.io/asset/1651210195557.png"
          },
          "contracts": {
            "title": "Contracts",
            "type": "array",
            "items": {
              "maxLength": 42,
              "minLength": 42,
              "pattern": "^0x[a-fA-F0-9]{40}$",
              "type": "string"
            },
            "description": "List of contract addresses which belong to a collection",
            "example": [
              "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d"
            ]
          },
          "contract_type": {
            "title": "Contract Type",
            "type": "string",
            "description": "Type of contract: ERC721 or ERC1155",
            "example": "ERC721"
          },
          "categories": {
            "title": "Categories",
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "List of categor(ies) that a collection belongs to",
            "example": [
              "PFP"
            ]
          },
          "discord_url": {
            "title": "Discord Url",
            "type": "string",
            "description": "The discord url of a collection",
            "example": "https://discord.com/invite/3P5K3dzgdB"
          },
          "instagram_url": {
            "title": "Instagram Url",
            "type": "string",
            "description": "The instagram url of a collection",
            "example": "https://www.instagram.com/boredapeyachtclub/"
          },
          "twitter_url": {
            "title": "Twitter Url",
            "type": "string",
            "description": "The twitter url of a collection",
            "example": "https://twitter.com/boredapeyc"
          },
          "banner_image_url": {
            "title": "Banner Image Url",
            "type": "string",
            "description": "The banner image url of a collection"
          },
          "telegram_url": {
            "title": "Telegram Url",
            "type": "string",
            "description": "The telegram url of a collection"
          },
          "has_rarity": {
            "title": "Has Rarity",
            "type": "boolean",
            "description": "Whether the collection has rarity rankings",
            "default": false,
            "example": true
          },
          "is_blue_chip_coll": {
            "title": "Is Blue Chip Coll",
            "type": "boolean",
            "description": "Whether the collection is a blue chip collection",
            "default": false,
            "example": true
          },
          "total_supply": {
            "title": "Total Supply",
            "type": "integer",
            "description": "The total number of NFTs in a collection includes the count of both existing NFTs and those that have been burned.\n        For ERC1155 collection, the count refers to the number of token types."
          }
        },
        "description": "如果 Model 的数据存在有效期， 则它应该继承 LastUpdatedModel"
      },
      "CollectionHolding": {
        "title": "CollectionHolding",
        "required": [
          "collection"
        ],
        "type": "object",
        "properties": {
          "collection": {
            "$ref": "#/components/schemas/Collection"
          },
          "hold_num": {
            "title": "Hold Num",
            "type": "integer"
          },
          "floor_price": {
            "$ref": "#/components/schemas/PriceV3"
          }
        }
      },
      "CollectionHoldingList": {
        "title": "CollectionHoldingList",
        "type": "object",
        "properties": {
          "total": {
            "title": "Total",
            "type": "integer",
            "description": "Total number of collections the address holds"
          },
          "collection_holdings": {
            "title": "Collection Holdings",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CollectionHolding"
            },
            "description": "A list of collections"
          }
        }
      },
      "HTTPValidationError": {
        "title": "HTTPValidationError",
        "type": "object",
        "properties": {
          "detail": {
            "title": "Detail",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      },
      "PaymentToken": {
        "title": "PaymentToken",
        "type": "object",
        "properties": {
          "address": {
            "title": "Address",
            "maxLength": 42,
            "minLength": 42,
            "pattern": "^0x[a-fA-F0-9]{40}$",
            "type": "string",
            "description": "The address of the token used for payment",
            "default": "0x0000000000000000000000000000000000000000"
          },
          "symbol": {
            "title": "Symbol",
            "type": "string",
            "description": "The symbol of the token used for payment",
            "default": "ETH"
          },
          "decimals": {
            "title": "Decimals",
            "type": "integer",
            "description": "The decimals of the token used for payment",
            "default": 18
          }
        }
      },
      "PriceV3": {
        "title": "PriceV3",
        "type": "object",
        "properties": {
          "value": {
            "title": "Value",
            "type": "number",
            "description": "Total value in the measure of {payment_token.symbol}",
            "example": 86.8042
          },
          "raw_value": {
            "title": "Raw Value",
            "type": "integer",
            "description": "Total raw value in the measure of {payment_token.symbol}",
            "example": 86804200000000000000
          },
          "usd": {
            "title": "Usd",
            "type": "number",
            "description": "Total US dollar value of the cryptocurrency. It equals to quantity * crypto_unit * usd_price_per_crypto_unit",
            "example": 99614.18167703273
          },
          "payment_token": {
            "title": "Payment Token",
            "allOf": [
              {
                "$ref": "#/components/schemas/PaymentToken"
              }
            ],
            "description": "The token used for payment",
            "default": {
              "address": "0x0000000000000000000000000000000000000000",
              "symbol": "ETH",
              "decimals": 18
            }
          }
        },
        "description": "Price in cryptocurrency or US dollars or eth"
      },
      "ValidationError": {
        "title": "ValidationError",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "type": "object",
        "properties": {
          "loc": {
            "title": "Location",
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            }
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ]
}
````